- [HTTP request](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#body.request_body)
- [Response body](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#body.response_body)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#body.FetchAdReviewCenterCustomLabelsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#body.aspect)
- [CustomLabel](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#CustomLabel)
  - [JSON representation](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#CustomLabel.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#try-it)

Fetches all custom labels for a publisher. Custom labels can help you filter and find creatives with the associated label. For more information, see <https://support.google.com/admanager/answer/13812863>.

### HTTP request

`GET https://admanager.googleapis.com/v1/{parent}/adReviewCenterAds:fetchCustomLabels`

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of AdReviewCenterAds custom labels. Format: networks/{networkCode}/webProperties/{webPropertyCode} Since a network can only have a single web property of each `ExchangeSyndicationProduct`, you can use the `ExchangeSyndicationProduct` as an alias for the web property code: `networks/{networkCode}/webProperties/display` `networks/{networkCode}/webProperties/videoAndAudio` `networks/{networkCode}/webProperties/mobileApp` `networks/{networkCode}/webProperties/games` |

### Request body

The request body must be empty.

### Response body

Response object for `adReviewCenterAds.fetchCustomLabels` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "customLabels": [ { object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#CustomLabel`) } ] } ``` |

| Fields ||
|---|---|
| `customLabels[]` | ``object (`https://developers.google.com/ad-manager/api/beta/reference/rest/v1/networks.webProperties.adReviewCenterAds/fetchCustomLabels#CustomLabel`)`` Output only. The list of custom labels. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/admanager`
- `https://www.googleapis.com/auth/admanager.readonly
  `

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## CustomLabel

A custom label for an Ad Review Center ad. Custom labels can help you filter and find creatives with the associated label. For more information, see <https://support.google.com/admanager/answer/13812863>.

| JSON representation |
|---|
| ``` { "labelId": string, "displayName": string } ``` |

| Fields ||
|---|---|
| `labelId` | `string` Output only. The unique identifier of the custom label. |
| `displayName` | `string` Output only. The user-defined display name of the custom label. |